## org.apache.lucene.search.vectorhighlight
Class FieldQuery

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldQuery

    public class FieldQuery

extends java.lang.Object

FieldQuery breaks down query object into terms/phrases and keep them in QueryPhraseMap structure.

Nested Class Summary
`static class` `FieldQuery.QueryPhraseMap`

Method Summary
`FieldQuery.QueryPhraseMap` `getFieldTermMap(java.lang.String fieldName, java.lang.String term)`
`FieldQuery.QueryPhraseMap` `searchPhrase(java.lang.String fieldName, java.util.List<FieldTermStack.TermInfo> phraseCandidate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFieldTermMap

    public FieldQuery.QueryPhraseMap getFieldTermMap(java.lang.String fieldName,
                                                     java.lang.String term)

  Parameters:
    `fieldName` -
    `term` -
  Returns:
    QueryPhraseMap

### searchPhrase

    public FieldQuery.QueryPhraseMap searchPhrase(java.lang.String fieldName,
                                                  java.util.List<FieldTermStack.TermInfo> phraseCandidate)

  Parameters:
    `fieldName` -
    `phraseCandidate` -
  Returns:
    QueryPhraseMap

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.